Package ru.bitel.bgbilling.modules.tv.server.runtime

# Class TvAccountRuntimeRoot

java.lang.Object
ru.bitel.bgbilling.modules.tv.server.runtime.TvAccountRuntime
ru.bitel.bgbilling.modules.tv.server.runtime.TvAccountRuntimeRoot

public class TvAccountRuntimeRoot extends TvAccountRuntime

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Set<Integer>`
  `tvOptions`
  `long`
  `tvOptionsMillis`

  ### Fields inherited from class ru.bitel.bgbilling.modules.tv.server.runtime.TvAccountRuntime

  `DEVICE_OPTIONS_SET_CACHE, tvAccountId, tvAccountSpecRef`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime`
  `getContractRuntime()`
  `ru.bitel.oss.systems.inventory.product.server.ProductPeriodRuntimeList`
  `getProductPeriodRuntimeList()`
  `ProductRuntimeList`
  `getProductRuntimeList()`
  `ServiceRuntimeList`
  `getServiceRuntimeList()`
  `ru.bitel.bgbilling.kernel.tariff.server.tree.TariffModuleTreeSet`
  `getTariffTreeSet()`
  `final boolean`
  `isHeldByCurrentThread()`
  `final void`
  `lock()`
  `boolean`
  `processOptionsModified(ru.bitel.bgbilling.kernel.container.managed.ServerContext context, int moduleId, long now, Set<Integer> tvOptions)`
  `void`
  `setProductPeriodRuntimeList(ru.bitel.oss.systems.inventory.product.server.ProductPeriodRuntimeList productPeriodRuntimeList)`
  `void`
  `setServiceRuntimeList(ServiceRuntimeList serviceRuntimeList)`
  `String`
  `toString()`
  `final boolean`
  `tryLock()`
  `final boolean`
  `tryLock(long timeout, TimeUnit unit)`
  `final void`
  `unlock()`

  ### Methods inherited from class ru.bitel.bgbilling.modules.tv.server.runtime.TvAccountRuntime

  `getConfig, getContractSuspendPeriods, getDateFromMillis, getDateToMillis, getParentTvAccount, getParentTvAccountRuntime, getTvAccount, isCreated, setCreated, setDateFromMillis, setDateToMillis, setDeviceStateAndOptionIds`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### tvOptions

    public Set<Integer> tvOptions

  - ### tvOptionsMillis

    public long tvOptionsMillis

- ## Method Details

  - ### getContractRuntime

    public ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime getContractRuntime()
    Specified by:
      `getContractRuntime` in class `TvAccountRuntime`

  - ### getTariffTreeSet

    public ru.bitel.bgbilling.kernel.tariff.server.tree.TariffModuleTreeSet getTariffTreeSet()
    Specified by:
      `getTariffTreeSet` in class `TvAccountRuntime`

  - ### getProductRuntimeList

    public ProductRuntimeList getProductRuntimeList()
    Specified by:
      `getProductRuntimeList` in class `TvAccountRuntime`

  - ### getProductPeriodRuntimeList

    public ru.bitel.oss.systems.inventory.product.server.ProductPeriodRuntimeList getProductPeriodRuntimeList()
    Specified by:
      `getProductPeriodRuntimeList` in class `TvAccountRuntime`

  - ### setProductPeriodRuntimeList

    public void setProductPeriodRuntimeList(ru.bitel.oss.systems.inventory.product.server.ProductPeriodRuntimeList productPeriodRuntimeList)

  - ### getServiceRuntimeList

    public ServiceRuntimeList getServiceRuntimeList()
    Specified by:
      `getServiceRuntimeList` in class `TvAccountRuntime`

  - ### setServiceRuntimeList

    public void setServiceRuntimeList(ServiceRuntimeList serviceRuntimeList)

  - ### lock

    public final void lock()
    Specified by:
      `lock` in class `TvAccountRuntime`

  - ### tryLock

    public final boolean tryLock()
    Specified by:
      `tryLock` in class `TvAccountRuntime`

  - ### tryLock

    public final boolean tryLock(long timeout, TimeUnit unit) throws InterruptedException
    Specified by:
      `tryLock` in class `TvAccountRuntime`
    Throws:
      `InterruptedException`

  - ### unlock

    public final void unlock()
    Specified by:
      `unlock` in class `TvAccountRuntime`

  - ### isHeldByCurrentThread

    public final boolean isHeldByCurrentThread()
    Specified by:
      `isHeldByCurrentThread` in class `TvAccountRuntime`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `TvAccountRuntime`

  - ### processOptionsModified

    public boolean processOptionsModified(ru.bitel.bgbilling.kernel.container.managed.ServerContext context, int moduleId, long now, Set<Integer> tvOptions) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`